[user]
  	name = "Tom Sandmann"
	email = "${EMAIL}"

# includeIf only works inside a git initialized folder.
# https://stackoverflow.com/a/44117413/6409815

[includeIf "gitdir/i:~/work/bol/"]
    path = ${XDG_CONFIG_HOME}/git/config_bol

[pull]
	ff = only
[core]
	editor = vim
	autocrlf = input
[merge]
	tool = vimdiff
	conflictstyle = diff3
[mergetool]
	prompt = false
[alias]
	amend = commit --amend --no-edit --date=now --reset-author
	fp = push --force-with-lease
	acfp = !git add . && git amend && git fp
